Patch webhook item
curl --request PATCH \
--url https://api.debbiecollect.com/v1/{tenantId}/webhooks/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": "SUCCESS"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/webhooks/items/{itemId}"
payload = { "state": "SUCCESS" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({state: 'SUCCESS'})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/webhooks/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Patch webhook item
Patch webhook item
PATCH
/
v1
/
{tenantId}
/
webhooks
/
items
/
{itemId}
Patch webhook item
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant
Id of the webhook item
Body
application/json
Patch webhook item
Webhook item state
Available options:
SUCCESS, PENDING Response
Successful operation
⌘I